/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/
#include "dialogsetupuser.h"


void dialogSetupUser::programInit()
{
    // Connect our textChanged slots to confirm we have good data
    connect(lineRoot, SIGNAL(textChanged ( const QString & )), this, SLOT(slotCheckFields( const QString & ) ) );
    connect(lineRoot2, SIGNAL(textChanged ( const QString & )), this, SLOT(slotCheckFields( const QString & ) ) );
    connect(lineUsername, SIGNAL(textChanged ( const QString & )), this, SLOT(slotCheckFields( const QString & ) ) );
    connect(lineUserPW, SIGNAL(textChanged ( const QString & )), this, SLOT(slotCheckFields( const QString & ) ) );
    connect(lineUserPW2, SIGNAL(textChanged ( const QString & )), this, SLOT(slotCheckFields( const QString & ) ) );
    
}


void dialogSetupUser::slotSaveClicked()
{
    emit saved(lineRoot->text(), lineUsername->text(), lineUserPW->text() );
    close();
}


void dialogSetupUser::slotCancelClicked()
{
    close();
}


void dialogSetupUser::slotCheckFields( const QString &text )
{
    // Check the line edits to make sure we have valid data
    textError->setText("");
    
    if ( lineRoot->text().isEmpty() || lineRoot2->text().isEmpty() )
    {
	pushSave->setEnabled(FALSE);
	return;
    }
    
    if ( lineRoot->text() != lineRoot2->text() )
    {
	pushSave->setEnabled(FALSE);
	textError->setText("Error: Root Password mismatch!");
	return;
    }
    
    
    if ( lineUsername->text().isEmpty() )
    {
	pushSave->setEnabled(FALSE);
	return;
    }
	
	
     if ( lineUsername->text().indexOf(" ") != -1 )
    {
	textError->setText("Error: WhiteSpace in username!");
	pushSave->setEnabled(FALSE);
	return;
    }
	
	
    if ( lineUserPW->text().isEmpty() || lineUserPW->text().isEmpty() )
    {
	pushSave->setEnabled(FALSE);
	return;
    }
	
    if ( lineUserPW->text() != lineUserPW2->text() )
    {
	pushSave->setEnabled(FALSE);
	textError->setText("Error: User Password mismatch!");
	return;
    }
    
    pushSave->setEnabled(TRUE);
}
