
#ifndef DIALOGWARDEN_H
#define DIALOGWARDEN_H

#define WARDENDIR QString("/usr/local/warden")

#include "ui_dialogwarden.h"
#include <QMenu>

class dialogWarden : public QMainWindow, private Ui::dialogWarden
{
	Q_OBJECT

public:
        dialogWarden() : QMainWindow()
        {
          setupUi(this);
        }

    void programInit();

public slots:

private slots:
    void helpAbout();
    void refreshJails();
    void readConfig();
    void slotOpenConfig();
    void slotExit();
    void slotCheckJailStatus();
    void slotMonitorJailStatus();
    void slotCheckStatusReturn();
    void slotJailRightClicked();
    void slotStopJail();
    void slotStartJail();
    void slotExportJail();
    void slotListJailPkgs();
    void slotDeleteJail();
    void slotFinishedWorking();
    void slotReadDisplayOutput();
    void slotFinishedOutput();
    void slotReadPkgsOutput();
    void slotClickedNewJail();
    void slotCreateNewJail( const QString &IP, const QString &host, bool src, bool ports, bool autostart );
    void slotReadCreateOutput();
    void slotFinishedJailCreate();
    void slotSavedUserSettings( const QString &root, const QString &user, const QString &userpw );
    void slotReadUserAddOutput();
    void slotFinishedUserAdd();
    void slotImportJailClicked();
    void slotReadImportOutput();
    void slotFinishedJailImport();
    void slotInmateInstallClicked();
    void slotReadInmateOutput();
    void slotFinishedInmateInstall();
    void slotToggleAutostartClicked();

private:
    void runCommand( QString command );
    QString ProgDir;
    QString WorldSrc;
    QString WorldDir;
    QString NIC;
    QString TMPDIR;
    QString JailDir;
    dialogConfig *configDialog;
    QString currentStatusWorkingJail;
    bool checkingStatus;
    QTimer *statusTimer;
    QProcess *statusProc;
    QString popupip;
    QMenu *popup;
    dialogWorking *workingDialog;
    QProcess *stopJailProc;
    QProcess *startJailProc;
    QProcess *exportJailProc;
    dialogDisplayOutput *dialogOutput;
    QProcess *listPackagesProc;
    QProcess *deleteJailProc;
    dialogCreateJail *newJailDialog;
    QProcess *createJailProc;
    dialogSetupUser *userDialog;
    QString newIP;
    QString newHost;
    bool newSrc;
    bool newPorts;
    bool newAutostart;
    QString newRootPW;
    QString newUserPW;
    QString newUser;
    QProcess *userAddProc;
    QString importFile;
    QProcess *importJailProc;
    QProcess *loadInmateProc;
    QProcess *toggleAutoProc;

signals:
} ;
#endif // DIALOGWARDEN_H
